### Enumeration

# Template ExprBuiltin

#### Declaration

    enum Template.ExprBuiltin

#### Description

No description available.

#### Members

`TMPL_EXPR_BUILTIN_ABS`

  No description available.

  - Value: `0`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CEIL`

  No description available.

  - Value: `1`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_FLOOR`

  No description available.

  - Value: `2`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_HEX`

  No description available.

  - Value: `3`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_LOG`

  No description available.

  - Value: `4`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_PRINT`

  No description available.

  - Value: `5`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_REPR`

  No description available.

  - Value: `6`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_SQRT`

  No description available.

  - Value: `7`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_TYPEOF`

  No description available.

  - Value: `8`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_ASSERT`

  No description available.

  - Value: `9`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_SIN`

  No description available.

  - Value: `10`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_TAN`

  No description available.

  - Value: `11`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_COS`

  No description available.

  - Value: `12`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_PRINTERR`

  No description available.

  - Value: `13`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_BYTE`

  No description available.

  - Value: `14`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_CHAR`

  No description available.

  - Value: `15`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_I32`

  No description available.

  - Value: `16`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_U32`

  No description available.

  - Value: `17`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_I64`

  No description available.

  - Value: `18`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_U64`

  No description available.

  - Value: `19`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_FLOAT`

  No description available.

  - Value: `20`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_DOUBLE`

  No description available.

  - Value: `21`
  - Available since: 1.0
`TMPL_EXPR_BUILTIN_CAST_BOOL`

  No description available.

  - Value: `22`
  - Available since: 1.0